Loading...
Searching...
No Matches
concept.hpp File Reference

Provides seqan3::rna_structure_alphabet. More...

`#include <concepts>`
`#include <optional>`
`#include <type_traits>`
`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/core/detail/customisation_point.hpp>`
Include dependency graph for alphabet/structure/concept.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Variables

constexpr auto | seqan3::is_pair_close = detail::adl_only::is_pair_close_cpo{}
| Check whether the given character represents a leftward interaction in an RNA structure.
constexpr auto | seqan3::is_pair_open = detail::adl_only::is_pair_open_cpo{}
| Check whether the given character represents a rightward interaction in an RNA structure.
constexpr auto | seqan3::is_unpaired = detail::adl_only::is_unpaired_cpo{}
| Check whether the given character represents an unpaired nucleotide in an RNA structure.
template<typename alph_t>
constexpr auto | seqan3::max_pseudoknot_depth = detail::adl_only::max_pseudoknot_depth_cpo<alph_t>{}()
| A type trait that holds the ability of the structure alphabet to represent pseudoknots, i.e. crossing interactions, up to a certain depth.
constexpr auto | seqan3::pseudoknot_id = detail::adl_only::pseudoknot_id_cpo{}
| Retrieve an id for the level of a pseudoknotted interaction (also known as 'page number').

## Detailed Description

Provides seqan3::rna_structure_alphabet.

Author
  Joerg Winkler <j.winkler AT fu-berlin.de>

Hide me